Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.web
Class DatabaseActions

    java.lang.Object
      org.neo4j.server.rest.web.DatabaseActions

    public class DatabaseActions

extends Object

Nested Class Summary
`static class` | `DatabaseActions.IndexType`
`static class` | `DatabaseActions.RelationshipDirection`

Constructor Summary
`DatabaseActions(Database database)`

Method Summary
`IndexedEntityRepresentation` | `addToNodeIndex(String indexName, String key, String value, long nodeId)`
`IndexedEntityRepresentation` | `addToRelationshipIndex(String indexName, String key, String value, long relationshipId)`
`NodeRepresentation` | `createNode(Map<String,Object> properties)`
`IndexRepresentation` | `createNodeIndex(Map<String,Object> indexSpecification)`
`RelationshipRepresentation` | `createRelationship(long startNodeId, long endNodeId, String type, Map<String,Object> properties)`
`IndexRepresentation` | `createRelationshipIndex(Map<String,Object> indexSpecification)`
`void` | `deleteNode(long nodeId)`
`void` | `deleteRelationship(long relationshipId)`
`ListRepresentation` | `findPaths(long startId, long endId, Map<String,Object> map)`
`PathRepresentation` | `findSinglePath(long startId, long endId, Map<String,Object> map)`
`PropertiesRepresentation` | `getAllNodeProperties(long nodeId)`
`PropertiesRepresentation` | `getAllRelationshipProperties(long relationshipId)`
`IndexedEntityRepresentation` | `getIndexedNode(String indexName, String key, String value, long id)`
`ListRepresentation` | `getIndexedNodesByExactMatch(String indexName, String key, String value)`
`ListRepresentation` | `getIndexedNodesByQuery(String indexName, String key, String query)`
`IndexedEntityRepresentation` | `getIndexedRelationship(String indexName, String key, String value, long id)`
`ListRepresentation` | `getIndexedRelationships(String indexName, String key, String value)`
`ListRepresentation` | `getIndexedRelationshipsByQuery(String indexName, String key, String query)`
`NodeRepresentation` | `getNode(long nodeId)`
`String[]` | `getNodeIndexNames()`
`Representation` | `getNodeProperty(long nodeId, String key)`
`ListRepresentation` | `getNodeRelationships(long nodeId, DatabaseActions.RelationshipDirection direction, Collection<String> types)`
`NodeRepresentation` | `getReferenceNode()`
`RelationshipRepresentation` | `getRelationship(long relationshipId)`
`String[]` | `getRelationshipIndexNames()`
`Representation` | `getRelationshipProperty(long relationshipId, String key)`
`Representation` | `nodeIndexRoot()`
`boolean` | `nodeIsIndexed(String indexName, String key, Object value, long nodeId)`
`Representation` | `relationshipIndexRoot()`
`boolean` | `relationshipIsIndexed(String indexName, String key, Object value, long relationshipId)`
`void` | `removeAllNodeProperties(long nodeId)`
`void` | `removeAllRelationshipProperties(long relationshipId)`
`void` | `removeFromNodeIndex(String indexName, String key, String value, long id)`
`void` | `removeFromNodeIndexNoKeyValue(String indexName, long id)`
`void` | `removeFromNodeIndexNoValue(String indexName, String key, long id)`
`void` | `removeFromRelationshipIndex(String indexName, String key, String value, long id)`
`void` | `removeFromRelationshipIndexNoKeyValue(String indexName, long id)`
`void` | `removeFromRelationshipIndexNoValue(String indexName, String key, long id)`
`void` | `removeNodeProperty(long nodeId, String key)`
`void` | `removeRelationshipProperty(long relationshipId, String key)`
`DatabaseRepresentation` | `root()`
`void` | `setAllNodeProperties(long nodeId, Map<String,Object> properties)`
`void` | `setAllRelationshipProperties(long relationshipId, Map<String,Object> properties)`
`void` | `setNodeProperty(long nodeId, String key, Object value)`
`void` | `setRelationshipProperty(long relationshipId, String key, Object value)`
`ListRepresentation` | `traverse(long startNode, Map<String,Object> description, TraverserReturnType returnType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseActions

    public DatabaseActions(Database database)

Method Detail

### root

    public DatabaseRepresentation root()

### createNode

    public NodeRepresentation createNode(Map<String,Object> properties)
                                  throws PropertyValueException

  Throws:
    `PropertyValueException`

### getNode

    public NodeRepresentation getNode(long nodeId)
                               throws NodeNotFoundException

  Throws:
    `NodeNotFoundException`

### deleteNode

    public void deleteNode(long nodeId)
                    throws NodeNotFoundException,
                           OperationFailureException

  Throws:
    `NodeNotFoundException`
    `OperationFailureException`

### getReferenceNode

    public NodeRepresentation getReferenceNode()

### getNodeProperty

    public Representation getNodeProperty(long nodeId,
                                          String key)
                                   throws NodeNotFoundException,
                                          NoSuchPropertyException

  Throws:
    `NodeNotFoundException`
    `NoSuchPropertyException`

### setNodeProperty

    public void setNodeProperty(long nodeId,
                                String key,
                                Object value)
                         throws PropertyValueException,
                                NodeNotFoundException

  Throws:
    `PropertyValueException`
    `NodeNotFoundException`

### removeNodeProperty

    public void removeNodeProperty(long nodeId,
                                   String key)
                            throws NodeNotFoundException,
                                   NoSuchPropertyException

  Throws:
    `NodeNotFoundException`
    `NoSuchPropertyException`

### getAllNodeProperties

    public PropertiesRepresentation getAllNodeProperties(long nodeId)
                                                  throws NodeNotFoundException

  Throws:
    `NodeNotFoundException`

### setAllNodeProperties

    public void setAllNodeProperties(long nodeId,
                                     Map<String,Object> properties)
                              throws PropertyValueException,
                                     NodeNotFoundException

  Throws:
    `PropertyValueException`
    `NodeNotFoundException`

### removeAllNodeProperties

    public void removeAllNodeProperties(long nodeId)
                                 throws NodeNotFoundException

  Throws:
    `NodeNotFoundException`

### getNodeIndexNames

    public String[] getNodeIndexNames()

### getRelationshipIndexNames

    public String[] getRelationshipIndexNames()

### createNodeIndex

    public IndexRepresentation createNodeIndex(Map<String,Object> indexSpecification)

### createRelationshipIndex

    public IndexRepresentation createRelationshipIndex(Map<String,Object> indexSpecification)

### nodeIsIndexed

    public boolean nodeIsIndexed(String indexName,
                                 String key,
                                 Object value,
                                 long nodeId)
                          throws DatabaseBlockedException

  Throws:
    `DatabaseBlockedException`

### relationshipIsIndexed

    public boolean relationshipIsIndexed(String indexName,
                                         String key,
                                         Object value,
                                         long relationshipId)
                                  throws DatabaseBlockedException

  Throws:
    `DatabaseBlockedException`

### createRelationship

    public RelationshipRepresentation createRelationship(long startNodeId,
                                                         long endNodeId,
                                                         String type,
                                                         Map<String,Object> properties)
                                                  throws StartNodeNotFoundException,
                                                         EndNodeNotFoundException,
                                                         StartNodeSameAsEndNodeException,
                                                         PropertyValueException

  Throws:
    `StartNodeNotFoundException`
    `EndNodeNotFoundException`
    `StartNodeSameAsEndNodeException`
    `PropertyValueException`

### getRelationship

    public RelationshipRepresentation getRelationship(long relationshipId)
                                               throws RelationshipNotFoundException

  Throws:
    `RelationshipNotFoundException`

### deleteRelationship

    public void deleteRelationship(long relationshipId)
                            throws RelationshipNotFoundException

  Throws:
    `RelationshipNotFoundException`

### getNodeRelationships

    public ListRepresentation getNodeRelationships(long nodeId,
                                                   DatabaseActions.RelationshipDirection direction,
                                                   Collection<String> types)
                                            throws NodeNotFoundException

  Throws:
    `NodeNotFoundException`

### getAllRelationshipProperties

    public PropertiesRepresentation getAllRelationshipProperties(long relationshipId)
                                                          throws RelationshipNotFoundException

  Throws:
    `RelationshipNotFoundException`

### getRelationshipProperty

    public Representation getRelationshipProperty(long relationshipId,
                                                  String key)
                                           throws NoSuchPropertyException,
                                                  RelationshipNotFoundException

  Throws:
    `NoSuchPropertyException`
    `RelationshipNotFoundException`

### setAllRelationshipProperties

    public void setAllRelationshipProperties(long relationshipId,
                                             Map<String,Object> properties)
                                      throws PropertyValueException,
                                             RelationshipNotFoundException

  Throws:
    `PropertyValueException`
    `RelationshipNotFoundException`

### setRelationshipProperty

    public void setRelationshipProperty(long relationshipId,
                                        String key,
                                        Object value)
                                 throws PropertyValueException,
                                        RelationshipNotFoundException

  Throws:
    `PropertyValueException`
    `RelationshipNotFoundException`

### removeAllRelationshipProperties

    public void removeAllRelationshipProperties(long relationshipId)
                                         throws RelationshipNotFoundException

  Throws:
    `RelationshipNotFoundException`

### removeRelationshipProperty

    public void removeRelationshipProperty(long relationshipId,
                                           String key)
                                    throws RelationshipNotFoundException,
                                           NoSuchPropertyException

  Throws:
    `RelationshipNotFoundException`
    `NoSuchPropertyException`

### nodeIndexRoot

    public Representation nodeIndexRoot()

### relationshipIndexRoot

    public Representation relationshipIndexRoot()

### addToRelationshipIndex

    public IndexedEntityRepresentation addToRelationshipIndex(String indexName,
                                                              String key,
                                                              String value,
                                                              long relationshipId)

### addToNodeIndex

    public IndexedEntityRepresentation addToNodeIndex(String indexName,
                                                      String key,
                                                      String value,
                                                      long nodeId)

### removeFromNodeIndex

    public void removeFromNodeIndex(String indexName,
                                    String key,
                                    String value,
                                    long id)

### removeFromNodeIndexNoValue

    public void removeFromNodeIndexNoValue(String indexName,
                                           String key,
                                           long id)

### removeFromNodeIndexNoKeyValue

    public void removeFromNodeIndexNoKeyValue(String indexName,
                                              long id)

### removeFromRelationshipIndex

    public void removeFromRelationshipIndex(String indexName,
                                            String key,
                                            String value,
                                            long id)

### removeFromRelationshipIndexNoValue

    public void removeFromRelationshipIndexNoValue(String indexName,
                                                   String key,
                                                   long id)

### removeFromRelationshipIndexNoKeyValue

    public void removeFromRelationshipIndexNoKeyValue(String indexName,
                                                      long id)

### getIndexedNode

    public IndexedEntityRepresentation getIndexedNode(String indexName,
                                                      String key,
                                                      String value,
                                                      long id)

### getIndexedRelationship

    public IndexedEntityRepresentation getIndexedRelationship(String indexName,
                                                              String key,
                                                              String value,
                                                              long id)

### getIndexedNodesByExactMatch

    public ListRepresentation getIndexedNodesByExactMatch(String indexName,
                                                          String key,
                                                          String value)

### getIndexedNodesByQuery

    public ListRepresentation getIndexedNodesByQuery(String indexName,
                                                     String key,
                                                     String query)

### getIndexedRelationships

    public ListRepresentation getIndexedRelationships(String indexName,
                                                      String key,
                                                      String value)

### getIndexedRelationshipsByQuery

    public ListRepresentation getIndexedRelationshipsByQuery(String indexName,
                                                             String key,
                                                             String query)

### traverse

    public ListRepresentation traverse(long startNode,
                                       Map<String,Object> description,
                                       TraverserReturnType returnType)

### findSinglePath

    public PathRepresentation findSinglePath(long startId,
                                             long endId,
                                             Map<String,Object> map)

### findPaths

    public ListRepresentation findPaths(long startId,
                                        long endId,
                                        Map<String,Object> map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.